Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.persistent
Class FilePersistenter

    org.huihoo.jfox.persistent.Persistenter
      |
      +--org.huihoo.jfox.persistent.FilePersistenter

All Implemented Interfaces:
  PersistenterMBean

public class FilePersistenter
extends Persistenter

Author:
  Young Yang

Field Summary
`static javax.management.ObjectName` | `DEFAULT_OBJECTNAME`

Fields inherited from class org.huihoo.jfox.persistent.Persistenter
`server`

Constructor Summary
`FilePersistenter()`

Method Summary
`java.lang.Object` | `load(java.lang.Object identity)` Loads the information persisted on the storage media.
`static void` | `main(java.lang.String[] args)`
`void` | `store(java.lang.Object identity, java.lang.Object data)` Store the given information to the storage media.

Methods inherited from class org.huihoo.jfox.persistent.Persistenter
`postDeregister, postRegister, preDeregister, preRegister`

Field Detail

### DEFAULT_OBJECTNAME

    public static javax.management.ObjectName DEFAULT_OBJECTNAME

Constructor Detail

### FilePersistenter

    public FilePersistenter()

Method Detail

### load

    public java.lang.Object load(java.lang.Object identity)
                          throws java.lang.Exception

  Description copied from interface: `PersistenterMBean`
  Loads the information persisted on the storage media.
  Following copied from interface: `org.huihoo.jfox.persistent.PersistenterMBean`
  See Also:
    `PersistenterMBean.store(java.lang.Object, java.lang.Object)`

### store

    public void store(java.lang.Object identity,
                      java.lang.Object data)
               throws java.lang.Exception

  Description copied from interface: `PersistenterMBean`
  Store the given information to the storage media.
  Following copied from interface: `org.huihoo.jfox.persistent.PersistenterMBean`
  See Also:
    `PersistenterMBean.load(java.lang.Object)`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD